      implicit none
      real*16 phi1,phi2,phi3,phi4,beta1,beta2,beta3,beta4   
      real*16 term1,term2,Kplus,K1,K2,K3,mu1,mu2,mu3,Kminus,term3,term4      
      real*16 KHS,v_aver,Km1,Km2,A,expo1,expo2,alpha1,alpha2  
      real*16  phi1_prime,phi2_prime,M,KG,Km,KG1,KG2,KG3,phi3_prime
      real*16 K_air,rho_air,eta_air,K5,mu4
       real*16 K_water,rho_water,eta_water,rhos_dolomite
       real*16 rhos_calcite,rhos_av,Ks_av,mu_av,vp_air
       real*16 rhos_clay,K4,alpha3,Km3,  rhos_quartz,phi5 
       real*16 alpha4, KG4, Km4, phi4_prime
       real*16 rhos_montmori,phi6,K6,mu5,alpha5,beta5,Km5,phi5_prime
       real*16 rho_bulk,Kg5,alpha
       real*16 mum1,mum2,mum3,mum4,mum5,mum,Ks_medido,K_voight,K_Reuss
       real*16 coef_KHS_KV
       real*16 rhos_plagio,rhos_pyrite,phi7,KG6
       real*16 mu_Reuss, mu_krief, km_krief
       real*16 muvoight
       real*16 f1,f2,f3,f4,f5,f6,r1,r2,r3,r4,r5,r6,r7,phi8
       
       real*16 beta6,K7,phi6_prime,Km6,mu6,mum6,alpha6
       real*16 f7,mu7,kerogen,alpha7,beta7,K8,KG7,Km7,mum7,phi7_prime
       real*16 rhos_kerogen,sum,wished_porosity,wished_sum,cte
       real*16 KHS_plus,KHS_min,zmax,zmin
       real*16 zeta_max,zeta_min,mu_HS_min,mu_HS_plus
        real*16 sf1,sf2,sf3,sf4,sf5,sf6,sf7
        real*16 coef_mu_HS_KV,mu_Voight
c  [22] studied the elastic properties of montmorillonite by acoustic measurement of cold pressed samples, and measured the bulk modulus and shear modulus of montmorillonite as 6–11 GPa and 4–6 GPa, respectively.       
        
c   Five solids, Calcite,  Dolomite, Clay, Quartz, montmorillonite
        K_air = 1.01325d5  !(Pa)
        rho_air = 1.225d0  ! kg/m**3
        eta_air = 1.805d-5 ! Pa . s
        K_water = 2.25d09  ! (Pa)
        rho_water = 1000.d0 ! kg/m**3
        eta_water = 0.001d0   ! Pa . s
        
c       ! Densidades (Kg/m3)
c      r1=2720.0
c      r2=2900.0
c      r3=2700.0
c      r4=2650.0
c      r5=2650.0
c      r6=5000.0      
c      r7 = 1400.d0         
        
        rhos_calcite  = 2800.d0  ! kg/m**3  density of Calcite (mineral 1)
        rhos_dolomite  = 2900.d0  ! kg/m**3  density of Dolomite (mineral 2)
        rhos_clay = 2700.d0   ! kg/m**3  density of Clay (mineral 3)   
        rhos_quartz  = 2700.d0  ! kg/m**3  density of Quartz (mineral 4)
        rhos_plagio = 2800.d0  ! kg/m**3  density plagioclase  (mineral 5)
        rhos_pyrite = 5000.d0 ! kg/m**3  density of pyrite  (mineral 6)
        rhos_kerogen = 1400.d0 ! kg/m**3  density of kerogen
 
              
c    fraccciones como en Voight-Reuss-Ariel.f con Kerogen
      
      ! Mineral 1: Calcite
      ! Mineral 2:Dolomite
      ! Mineral 3: Clay
      ! Mineral 4: Quartz
      ! Mineral 5: Plagioclase
      ! Mineral 6: Pyrite
      ! "Mineral" 7: Kerogen      
c      ! Asignación de valores de fracciones minerales y porosidad

      
c      f1 = 0.1068
c      f2 = 0.0237
c      f3 = 0.2727
c      f4 = 0.2461
c      f5 = 0.0257     ! original  0.057 
c      f6 = 0.035
c      f7 = 0.23
c      write(6,*)' codigo Ariel con kerogen'
      
c      write(6,*)f1+f2+f3+f4+f5+f6+f7
c      stop 4


           ! Modulo de incompresibilidad (GPa)
           
      k1 = 7.d9       ! Kerogen 
      k2 = 25.d9       ! Clay
      k3 = 45.d9       ! Quartz
      k4 = 80.d9       ! Calcite
      k5 = 80.d9       ! Plagioclase
      k6 = 100.d9      ! Dolomite
      k7 = 170.d9         !170.0d9     ! Pyrite 

      ! Modulo de cizalla (GPa) !OJO ORDENADOS SEGUN K, NOSIGUEN EL MISMO ORDEN!
      mu1 = 2.d9      ! Kerogen
      mu2 = 7.d9      !  Clay 
      mu3 = 50.d9     ! Quartz
      mu4 = 35.d9     ! Calcite
      mu5 = 35.d9     ! 35.d0 ! Plagioclase
      mu6 = 45.d9     ! Dolomite
      mu7 = 100.d9  !    100.d9    ! Pyrite
      
      
      ! Densidades (Kg/m3)
        rhos_calcite  = 2800.d0  ! kg/m**3  density of Calcite (mineral 1)
        rhos_dolomite  = 2900.d0  ! kg/m**3  density of Dolomite (mineral 2)
        rhos_clay = 2700.d0   ! kg/m**3  density of Clay (mineral 3)   
        rhos_quartz  = 2700.d0  ! kg/m**3  density of Quartz (mineral 4)
        rhos_plagio = 2800.d0  ! kg/m**3  density plagioclase  (mineral 5)
        rhos_pyrite = 5000.d0 ! kg/m**3  density of pyrite  (mineral 6)
        rhos_kerogen = 1400.d0 ! kg/m**3  density of kerogen
      
      r1=1400.0     ! Kerogen
      r2=2700.0     ! Clay        
      r3=2700.0      ! Quartz
      r4=2800.0       ! Calcite
      r5=2800.0       !  Plagioclase
      r6=2900.0        ! Dolomite
      r7 = 5000.d0     ! Pyrite

c  For bulk modulus of solid grains of minerals the order is       
      
      ! Mineral 1: Kerogen
      ! Mineral 2: Clay
      ! Mineral 3: Quartz
      ! Mineral 4: Calcite
      ! Mineral 5: Plagioclase
      ! Mineral 6: Dolomite
      ! Mineral 7: Pyrite
      
       

      f1 = 0.23d0       ! Kerogen     
      f2 = 0.3727d0        ! Clay
      f3 = 0.1461d0        ! Quartz  
      f4 = 0.1068d0      !  0.1068d0     !  0.1068d0        ! Calcite 
      f5 = 0.0257d0        ! Plagioclase
      f6 = 0.0237d0        ! Dolomite 
      f7 = 0.035d0          ! Pyrite
            write(6,*)' f1',f1
      write(6,*)' f2',f2
       write(6,*)' f3',f3
      write(6,*)' f4',f4     
            write(6,*)' f5',f5
      write(6,*)' f6',f6
      sum = f1+f2+f3+f4+f5+f6+f7
       phi8 = 1.d0-sum  ! phi8 is the porosity
            write(6,*)
         write(6,*)' porosity phi8 ',phi8
             write(6,*)
        
      write(6,*)' sum   ',sum
c         stop 55
c    computes HS bounds
       sf1 = f1
       sf2 = f2
       sf3 = f3
       sf4 = f4
       sf5 = f5
       sf6 = f6
       sf7 = f7
c        f1 = f1/sum
c        f2 = f2/sum
c        f3 = f3/sum
c        f4 = f4/sum       
c         f5 = f5/sum
c        f6 = f6/sum 
c        f7 = f7/sum
c      sum = f1+f2+f3+f4+f5+f6+f7
c             write(6,*)
        
c      write(6,*)' rescaled sum   ',sum
c       stop 20          
      
      
      
c       stop 25
c    computes HS bounds 

      zmax = (4.d0*mu7)/3.d0
      zmin = (4.d0/3.d0)*mu1 
       sum = f1/(K1+zmax)+ f2/(K2+zmax)+f3/(K3+zmax)
     1  +f4/(K4+zmax)+f5/(K5+zmax)+f6/(K6+zmax)+f7/(K7+zmax)
     
       sum = sum/(1.d0-phi8)
     
c   upper bound     
      KHS_plus= 1.d0/sum - zmax
      
      
    
       sum = f1/(K1+zmin)+ f2/(K2+zmin)+f3/(K3+zmin)
     1    +f4/(K4+zmin)+ f5/(K5+zmin)+f6/(K6+zmin)
     2    +f7/(K7+zmin)
      sum = sum/(1.d0-phi8)
     
c   upper bound     
      KHS_min= 1.d0/sum - zmin     
      
      write(6,*)
      write(6,*)'KHS_plus',  KHS_plus/1.d9
      write(6,*)
      write(6,*)'KHS_min',  KHS_min/1.d9
      write(6,*)
     
c  for shear modulus  de order is 


      zeta_max = (9.d0*k7+8.d0*mu7)/(k7 + 2.d0*mu7)
      zeta_max = zeta_max*mu7/6.d0
       zeta_min = (9.d0*k1+8.d0*mu1)/(k1 + 2.d0*mu1)
      zeta_min = zeta_min*mu1/6.d0
      
      write(6,*)' zeta_max ',zeta_max/1.d9
      write(6,*)
       write(6,*)' zeta_min ',zeta_min/1.d9
      write(6,*)
      
      sum = f1/(mu1+zeta_max)+f2/(mu2+zeta_max)
     1     +f3/(mu3+zeta_max)
     1    +f4/(mu4+zeta_max)+f5/(mu5+zeta_max)
     1    +f6/(mu6+zeta_max)
     2    +f7/(mu7+zeta_max)
     
      sum = sum/(1.d0-phi8)
      mu_HS_plus = 1.d0/sum -zeta_max
      
       sum = f1/(mu1+zeta_min)+f2/(mu2+zeta_min)+f3/(mu3+zeta_min)
     1    +f4/(mu4+zeta_min)+f5/(mu5+zeta_min)+f6/(mu6+zeta_min)
     2    +f7/(mu7+zeta_min)  
    
      sum = sum/(1.d0-phi8)
      mu_HS_min  = 1.d0/sum -zeta_min
      
       write(6,*)
      write(6,*)'mu_HS_plus', mu_HS_plus/1.d9
      write(6,*)
      write(6,*)'mu_HS_min',  mu_HS_min/1.d9
      write(6,*)     
      
      
c      stop 77
      phi1 = f1
      phi2 = f2
      phi3 = f3    
      phi4 = f4
      phi5 = f5
      phi6 = f6    
      phi7 = f7      
      


c                write(6,*)' rhos_calcite', rhos_calcite
        write(6,*)
        write(6,*)' Kerogen proportion', phi1
        write(6,*)
         write(6,*)'Clay proportion ', phi2
        write(6,*)
        write(6,*)' Quartz proportion',phi3
        write(6,*)
        write(6,*)' Calcite proportion ',phi4
        write(6,*)
        
        write(6,*)' plagioclase proportion ',phi5
        write(6,*)      
        write(6,*)' Dolomite proportion ',phi6
        write(6,*)           
        write(6,*)' Pyrite proportion ',phi7
        write(6,*)                  
        
        write(6,*)'phi1+phi2+phi3+phi4+phi5+phi6+phi7',
     1             phi1+phi2+phi3+phi4+phi5+phi6+phi7
        write(6,*)
        
         write(6,*)    
        rhos_av = phi4*rhos_calcite+phi2*rhos_clay+phi3*rhos_quartz
     1            +phi5*rhos_plagio +phi6*rhos_dolomite
     2            +phi7*rhos_pyrite+phi1*rhos_kerogen
     
        rhos_av =rhos_av/(1.d0-phi8)
     
        write(6,*)' rhos_av ',rhos_av
         write(6,*)
  
       ! Mineral 1: Kerogen
      ! Mineral 2: Clay
      ! Mineral 3: Quartz
      ! Mineral 4: Calcite
      ! Mineral 5: Plagioclase
      ! Mineral 6: Dolomite
      ! Mineral 7: Pyrite
c

c          stop 3
          
c          write(6,*)' Calcite proportion',phi1
c          write(6,*)
c           write(6,*)' DOLOmite proportion',phi2  
c           write(6,*)
c                   write(6,*)
c           write(6,*)' Clay proportion',phi3  
c                    write(6,*)
c           write(6,*)' Quartz proportion',phi4 
c           
c              write(6,*)' plagioclase proportion ',phi5
c              write(6,*)      
c                        write(6,*)
c                        
c               write(6,*)' pyrite  proportion ',phi6
c              write(6,*)                           
c              write(6,*)' kerogen  proportion ',phi7
c              write(6,*)                            
          write(6,*)' porosity phi8',phi8
          

    
             write(6,*)
          write(6,*)' bulk modulus Ks of Kerogen (GPa)',K1/1.d9
          write(6,*)
          


           write(6,*)' shear modulus  of Kerogen (GPa)',mu1/1.d9
            write(6,*)
        
          write(6,*)' bulk modulus Ks of Clay (GPa)',K2/1.d9
            write(6,*)
          write(6,*)' shear modulus  of Clay (GPa)',mu2/1.d9  
                  write(6,*) 

              write(6,*)' bulk modulus Ks of Quartz (GPa)',K3/1.d9
          write(6,*)  
                 write(6,*)' shear modulus mus of Quartz (GPa)',mu3/1.d9
          write(6,*)
          

                  write(6,*)' bulk modulus Ks of Calcite (GPa)',K4/1.d9
          write(6,*)  
            write(6,*)' shear modulus mus of Calcite (GPa)',mu4/1.d9
          write(6,*) 
   
      
         write(6,*)' bulk modulus  of Plagioclase (GPa)',K5/1.d9
          write(6,*)  
        write(6,*)' shear modulus of Plagioclase (GPa)',mu5/1.d9
          
             write(6,*)' bulk modulus of Dolomite (GPa)',K6/1.d9
          write(6,*)  
          write(6,*)' shear modulus of  Dolomite (GPa)',mu6/1.d9         
          
              write(6,*)' bulk modulus of Pyrite (GPa)',K7/1.d9
          write(6,*)  
          write(6,*)' shear modulus of  Pyrite (GPa)',mu7/1.d9                  

          
          K_Voight = phi1*K1 + phi2*K2 + phi3*K3 +phi4*K4 + phi5* K5
     1                 + phi6*K6  + phi7*K7
          mu_Voight =  phi1*mu1 + phi2*mu2 + phi3*mu3 +phi4*mu4 
     1                + phi5* mu5 + phi6*mu6 + phi7 * mu7
     
           K_Voight = K_Voight /(1.d0-phi8)
           
            mu_Voight =  mu_Voight /(1.d0-phi8)
          
                 write(6,*) 
          write(6,*)' K  Voight average (GPa)',K_Voight/1.d9
          
        write(6,*)' mu  Voight average (GPa)',mu_Voight/1.d9
                 write(6,*) 
                 
              K_Reuss = 1.d0/(phi1/K1 + phi2/K2+phi3/K3
     1              +phi4/K4+phi5/K5+phi6/K6+phi7/K7)    
                 
              mu_Reuss = 1.d0/(phi1/mu1 + phi2/mu2+phi3/mu3
     1              +phi4/mu4+phi5/mu5+phi6/mu6+phi7/mu7)                   
                 
                 write(6,*)  
            write(6,*)' K_Reuss (GPa) ',K_Reuss/1.d9   
                
            write(6,*)' mu_Reuss (GPa) ',mu_Reuss/1.d9                  
                
             write(6,*)'0.5d0*(KHS_min+KHS_plus)'
 !             write(6,*)
             write(6,*)0.5d0*(KHS_min+KHS_plus)/1.d9
             
              write(6,*)
              write(6,*)' K_Voight',K_Voight/1.d9
              
         coef_KHS_KV= 0.5d0*(KHS_min+KHS_plus)/K_Voight
        coef_mu_HS_KV= 0.5d0*(mu_HS_min+mu_HS_plus)/mu_Voight
               write(6,*) 
        write(6,*)' K_HS/Voight gen. Krief',coef_KHS_KV
        write(6,*)' mu_HS/Voight gen. Krief',coef_mu_HS_KV     
        
             write(6,*)' K_Reuss/Voight gen. Krief',K_Reuss/K_Voight
        write(6,*)' mu_Reuss/Voight gen. Krief',mu_Reuss/mu_Voight  
c             stop 999
            write(6,*)
            
           K8 = K_air       ! fluid (gas)
            write(6,*)
          write(6,*)' K8 =',K8
           write(6,*)
         beta1 = phi1/(1.d0-phi8)    ! eqs  16  for n=5
         beta2 = phi2/(1.d0-phi8)
         
         beta3 = phi3/(1.d0-phi8) 
         beta4 = phi4/(1.d0-phi8)
          beta5 = phi5/(1.d0-phi8)      
          beta6 = phi6/(1.d0-phi8)
          beta7 = phi7/(1.d0-phi8)                    
                     
                     
                     
         write(6,*)' beta1, beta2. beta3,beta4,beta5,beta6,beta7',
     1    beta1, beta2,beta3,beta4,beta5,beta6,beta7
         
         write(6,*)
         
 
          A = 4.3d0
            write(6,*)' A in exponent',A
               write(6,*)
          expo1 = A/(1.d0-phi8)
            write(6,*)' expo1',expo1
c            write(6,*)
c            write(6,*)' KHS/v_aver ',KHS/v_aver
c            write(6,*)
              write(6,*)
              
           coef_KHS_KV=1.d0     
           coef_mu_HS_KV=1.d0  
              
          Km1 =coef_KHS_KV* beta1*K1*(1.d0-phi8)**expo1 ! formula (28) paper 42
          
          Km2 =coef_KHS_KV* beta2*K2*(1.d0-phi8)**expo1
          
           Km3 =coef_KHS_KV* beta3*K3*(1.d0-phi8)**expo1 
           
           Km4 =coef_KHS_KV* beta4*K4*(1.d0-phi8)**expo1
           
           
           Km5 = coef_KHS_KV*beta5*K5*(1.d0-phi8)**expo1
           
           Km6 =coef_KHS_KV* beta6*K6*(1.d0-phi8)**expo1
           
          Km7 = coef_KHS_KV*beta7*K7*(1.d0-phi8)**expo1
          
          mum1 =coef_mu_HS_KV* beta1*mu1*(1.d0-phi8)**expo1 ! formula (28) paper 42
          
          mum2 =coef_mu_HS_KV*  beta2*mu2*(1.d0-phi8)**expo1
          
           mum3 =coef_mu_HS_KV*  beta3*mu3*(1.d0-phi8)**expo1 
           
           mum4 =coef_mu_HS_KV*  beta4*mu4*(1.d0-phi8)**expo1
           
           
           mum5 = coef_mu_HS_KV* beta5*mu5*(1.d0-phi8)**expo1
           
           mum6 =coef_mu_HS_KV*  beta6*mu6*(1.d0-phi8)**expo1          
           
  !         mum7 = beta7*mu7*(1.d0-phi8)**expo1    
           
           mum7 = coef_mu_HS_KV*beta7*mu7*(1.d0-phi8)**expo1 
           
           write(6,*)
            write(6,*)' Km1 (porous matrix  Kerogen (GPa)',Km1/1.d9
        write(6,*)' K1 ( bulk modulus  kerogen)(GPa)',K1/1.d9
            write(6,*)
         write(6,*)' Km2  (porous matrix Clay (GPa)    ',Km2/1.d9
        write(6,*)' K2  (solid bulk modulus  Dolomite (GPa)',K2/1.d9
         write(6,*)
          write(6,*)' Km3   porous matrix Quartz(GPa)    ',Km3/1.d9
          write(6,*)' K3  (solid bulk modulus Quartz (GPa)',K3/1.d9 
           write(6,*)
          write(6,*)' Km4  (porous matrix  Quartz (GPa)    ',Km4/1.d9
          write(6,*)' K4  (solid bulk modulus of Quartz (GPa)',K4/1.d9   
           write(6,*)
           write(6,*)
          write(6,*)' Km5  (porous matrix  plagioclase(GPa)',Km5/1.d9
          write(6,*)' K5 (solid bulk modulus plagioclase (GPa)',K5/1.d9   
           write(6,*)          
           
         write(6,*)' Km6  (porous matrix Dolimite GPa)',Km6/1.d9
          write(6,*)' K6 (solid bulk Dolomite (GPa)',K6/1.d9   
           write(6,*)                    
           
          write(6,*)' Km7  (porous matrix  pyrite(GPa)',Km7/1.d9
          write(6,*)' K7 (solid bulk modulus pyrite (GPa)',K7/1.d9   
           write(6,*)                       
             write(6,*)'*************************************'
            write(6,*)' mum1 (porous matrix  Kerogen (GPa)',mum1/1.d9
        write(6,*)' mu1 (solid bulk modulus  kerogen(GPa)',mu1/1.d9
            write(6,*)
         write(6,*)' mum2 (porous matrix Clay (GPa)    ',mum2/1.d9
        write(6,*)' mu2 (solid bulk modulus Clay (GPa)',mu2/1.d9
         write(6,*)
          write(6,*)' mum3  (porous matrixf Quartz (GPa)    ',mum3/1.d9
          write(6,*)' mu3  (solid bulk modulus Quartz (GPa)',mu3/1.d9 
           write(6,*)
          write(6,*)' mum4  (porous matrix  Calcite (GPa)  ',mum4/1.d9
          write(6,*)' mu4 (solid bulk modulus  Calcite (GPa)',mu4/1.d9   
           write(6,*)
           write(6,*)
          write(6,*)' mum5 porous matrix plagioclase(GPa)',mum5/1.d9
          write(6,*)' mu5 solid bulk modulus plagioclase(GPa)',mu5/1.d9   
           write(6,*)  
          write(6,*)' mum6 porous matrix Dolomite (GPa)',mum6/1.d9
          write(6,*)' mu6 solid bulk modulus Dolomite (GPa)',mu6/1.d9   
           write(6,*) 
           
           write(6,*)' mum7 porous matrix Pyrite (GPa)',mum7/1.d9
          write(6,*)' mu7 solid bulk modulus Pyrite (GPa)',mu7/1.d9   
           write(6,*)          
              alpha1 = beta1 - Km1/K1
              alpha2 = beta2 - Km2/K2
                alpha3 = beta3 - Km3/K3        
              alpha4 = beta4 - Km4/K4  
              alpha5 = beta5 - Km5/K5              
             alpha6 = beta6 - Km6/K6              
             
             alpha7 = beta7 - Km7/K7
             
               write(6,*)
              write(6,*)' alpha1',alpha1
                 write(6,*)
              write(6,*)' alpha2',alpha2
                  write(6,*)      
               write(6,*)' alpha3',alpha3
                  write(6,*)
                  write(6,*)' alpha4',alpha4
                  write(6,*)               
                 write(6,*)' alpha5',alpha5
                  write(6,*)               
                  
                write(6,*)' alpha6',alpha6
                  write(6,*)               
               write(6,*)' alpha6',alpha6
                  write(6,*)     
                  
           phi1_prime =  alpha1 -  beta1*phi8
           phi2_prime =  alpha2 -  beta2*phi8
           phi3_prime =  alpha3 -  beta3*phi8 
           phi4_prime =  alpha4 -  beta4*phi8 
           phi5_prime =  alpha5 -  beta5*phi8  
            phi6_prime =  alpha6 -  beta6*phi8
            phi7_prime =  alpha7 -  beta7*phi8          
            
            write(6,*)'  phi1_prime ', phi1_prime
               write(6,*)
            write(6,*)'  phi2_prime ', phi2_prime
            
             write(6,*)
            write(6,*)'  phi3_prime ', phi3_prime           
               write(6,*)
             write(6,*)'  phi4_prime ', phi4_prime           
               write(6,*)
             write(6,*)'  phi5_prime ', phi5_prime           
               write(6,*)               
             write(6,*)'  phi6_prime ', phi6_prime           
               write(6,*)               
               
               write(6,*)               
             write(6,*)'  phi7_prime ', phi7_prime           
               write(6,*)                            
             write(6,*)' porosity  phi8 ', phi8
            
            write(6,*)
          M = 1.d0/( phi1_prime/K1 + phi2_prime/K2 + 
     1          phi3_prime/K3+phi4_prime/K4
     1          +phi5_prime/K5
     3          +phi6_prime/K6+phi7_prime/K7+ phi8/K8 ) ! M ! formula 13
           
           write(6,*)' M (GPa)',M/1.d9
           
           Km = Km1+Km2+Km3+Km4+Km5+Km6+Km7
           
           mum = mum1+mum2+mum3+mum4+mum5+mum6+mum7
           
           KG1 =  Km1 + alpha1**2 *M
           KG2 =  Km2 + alpha2**2 *M
           KG3 =  Km3 + alpha3**2 *M
           KG4 =  Km4 + alpha4**2 *M
            KG5 =  Km5 + alpha5**2 *M         
            
           KG6 =  Km6 + alpha6**2 *M  
            KG7 =  Km7 + alpha7**2 *M            
       KG = Km+(alpha1+alpha2+alpha3+alpha4
     1          +alpha5+alpha6+alpha7)**2 *M
           

 !          km_krief=0.5d0*(KHS_min+KHS_plus)*(1.d0-phi8)**expo1
           
 !          mu_krief=0.5d0*(mu_HS_min+mu_HS_plus)*(1.d0-phi8)**expo1
        
           
             write(6,*)
           
c           write(6,*)' mu_av',mu_av/1.d9 !esto no es asi, hay que hacer 
c           el Reuss av. de mu1 y mu2 como se hizo con el K1 y K2
    
           write(6,*)'Km (composite dry-rock mod.)(GPa)',Km/1.d9
           write(6,*)
 !          write(6,*)'Km (Krief directo)(GPa)',km_krief/1.d9
 !          write(6,*)
           write(6,*)' K_Voight (GPa)',K_voight/1.d9
           write(6,*)
           write(6,*)'K_Reuss',K_Reuss/1.d9
           
            write(6,*)
            write(6,*)' mum as in paper 42',mum/1.d9
             write(6,*)
!             write(6,*)'mum (Krief directo)(GPa)', mu_krief/1.d9
!              write(6,*)
            write(6,*)' mu  Voight average (GPa)',mu_Voight/1.d9
                 write(6,*) 

            write(6,*)' mu_Reuss (GPa) ',mu_Reuss/1.d9                  
                
             write(6,*) 
             coef_KHS_KV= K_Reuss/K_Voight
               write(6,*) 
 
   !           alpha =1.d0-(Km/Ks_av)

               
               alpha = 0.15
                              write(6,*)
               write(6,*)' Biot coef. alpha'
                  write(6,*)'*******************************' 
                  write(6,*)' alpha',alpha
               Ks_medido = Km/(1.d0-alpha)
               
                write(6,*)'*******************************'
                
           write(6,*)' Ks_medido from alpha_medido',Ks_medido/1.d9 
           
               write(6,*)' Ks_medido needed for input file of pij codes'
               
                  write(6,*)'*******************************'
                write(6,*)
                
          write(6,*)' rhos_av (need for inut file of pij codes',rhos_av
             write(6,*)  
             
           write(6,*)'KG (composite Gassmann modulus) (GPa',KG/1.d9
            
                write(6,*)  

      
            rho_bulk = (1.d0-phi8)*rhos_av + phi8*rho_air
            
            write(6,*)' bulk density of dry  materials 1 and 2'
             write(6,*)' rho_bulk ', rho_bulk
                  write(6,*)
           write(6,*)'v_G (Gassman velocity (m/s) '
           
             write(6,*)
        write(6,*)' v_G = ',sqrt((KG+(4.d0/3.d0)*mum)/rho_bulk)


         stop
         end
        
              
      
      
        
